<?php

class Facebook extends CI_Controller {

public function __construct()
{
        parent::__construct();
        // Imprimir pagina padrao para este controller
        //
        // Pode ser usada para executar determinadas acoes antes de carregar as paginas (imprimir codigo HTML inclusive).

        /* Standard Libraries */
        $this->load->database();
        $this->load->helper('url');
        $this->load->model('RadiusModel');
        $this->load->model('PreferenciasModel');


//
// AUTENTICACAO
//
                $this->load->library('session');
                $this->load->helper('url');
                $this->load->helper('form');
                // IMPORTANT! This global must be defined BEFORE the flexi auth library is loaded!
                // It is used as a global that is accessible via both models and both libraries, without it, flexi auth will not work.
                $this->auth = new stdClass;
                $this->load->library('flexi_auth');
        // Redirect users logged in via password (However, not 'Remember me' users, as they may wish to login properly).
                if (!$this->flexi_auth->is_logged_in_via_password() )
                {
                        // Preserve any flashdata messages so they are passed to the redirect page.
                        if ($this->session->flashdata('message')) { $this->session->keep_flashdata('message'); }
                        // Redirect logged in admins (For security, admin users should always sign in via Password rather than 'Remember me'.
                        if ($this->flexi_auth->is_admin()){ 
			redirect('auth_admin/dashboard'); 
			}
                        else { redirect('auth_public/dashboard'); }
                }
/* ------------------ */    

//
// CRUD
// 
 
        $this->load->library('grocery_CRUD');    
}

public function id_empresa()
{
	 return $this->flexi_auth->get_user_by_id()->row_object()->id_empresa;
}
//
// CALLBACKS
//
public function _callback_radacct_Kbytes($value, $row)
{
  if($value < 1025)  return $value."bytes";
  if($value < 1048576)  return round($value / 1024)."Kbytes";
  if($value > 1048575)  return round(($value / 1024)/1024)."Mbytes";
}

//
// CRUD VIEW (output) 
//
function _radius_crud_output($output = null)
{
	// Carregando header.php
        $this->load->view('templates/header', $output);
	// Mostrando a CRUD 
	$this->load->view('crud_output.php',$output);    
	// Carregando footer.php
        $this->load->view('templates/footer', $output);
}
//
// Definindo metodos para cada tabela
// 


// TABELA radacct
function radacct()
{
        //$this->grocery_crud->set_table('nas');
    	$this->grocery_crud->set_theme('twitter-bootstrap');
        // Mostrando apenas dados da empresa que o LOGIN faz parte
    	$this->grocery_crud->where('id_empresa',$this->id_empresa());
	$this->grocery_crud->set_table('radacct')
        ->set_subject('RADACCT')
        ->columns('acctuniqueid','username','acctstarttime','acctstoptime','nasipaddress','acctinputoctets','acctoutputoctets','framedipaddress')
        ->display_as('nasipaddress','IP_NAS')
        ->display_as('username','Usuario')
	->display_as('framedipaddress','IP Cliente')
	->display_as('acctstarttime','Cliente_Conectou')
	->display_as('acctstoptime','Cliente_Desconectou')
	->display_as('acctinputoctets','Upload')
	->display_as('acctoutputoctets','Download');
$this->grocery_crud->order_by('acctstarttime','DESC');
	// 
	// CALLBACK para  Calcular em KBytes determinadas colunas
	//
  	$this->grocery_crud->callback_column('acctinputoctets',array($this,'_callback_radacct_Kbytes'));
  	$this->grocery_crud->callback_column('acctoutputoctets',array($this,'_callback_radacct_Kbytes'));
 

        $output = $this->grocery_crud->render();
        $this->_radius_crud_output($output);
}

function _envia_email($dados)
{
$preferencias = $this->PreferenciasModel->get_preferencias($this->id_empresa());
$de = $preferencias['crm_email_usuario']; $para = $preferencias['crm_email_destino']; $h = $preferencias['crm_email_host'];
$u = $preferencias['crm_email_usuario']; $pass = $preferencias['crm_email_senha'];

$corpo 	= "Um novo cadastro foi efetuado.<br>";
$corpo .= "<br><b>Login</b>: ".$dados['username'];
$corpo .= "<br><b>Senha</b>: ".$dados['value'];
$corpo .= "<br><b>Telefone</b>: ".$dados['telefone'];
$corpo .= "<br><b>Endereco</b>: ".$dados['endereco'];
$corpo .= "<br><b>Cidade</b>: ".$dados['cidade'];
$corpo .= "<br><b>Observacoes</b>: ".$dados['observacoes'];


$this->Envia_EMAIL($de,$de,$para,"Cadastro HOTSPOT",$corpo,$h,587,$u,$pass);

}

// TABELA radcheck
function radcheck()
{
        //$this->grocery_crud->set_table('nas');
    	$this->grocery_crud->set_theme('twitter-bootstrap');
        // Mostrando apenas dados da empresa que o LOGIN faz parte
    	$this->grocery_crud->where('id_empresa',$this->id_empresa());
	$this->grocery_crud->set_table('radcheck')->set_subject('Login');


	// VCriando relacao entre as tabelas
    	$this->grocery_crud->set_relation_n_n('grupos', 'radusergroup', 'grupo', 'id_username', 'id_grupo', 'nome','priority');

        $this->grocery_crud->columns('username','value','telefone','endereco');
        $this->grocery_crud->display_as('username','Login');
        $this->grocery_crud->display_as('value','Senha');
        $this->grocery_crud->display_as('attribute','Atributo');
	//$this->grocery_crud->add_fields('username', 'attribute', 'op', 'value', 'grupos');
	//$this->grocery_crud->edit_fields('username', 'value', 'op', 'attribute', 'grupos');



	$this->grocery_crud->field_type('attribute', 'hidden', 'Cleartext-Password');
	$this->grocery_crud->field_type('id_sis_cadastrocelular', 'hidden', '');
        // Seta valores padrao ao campo $this->grocery_crud->field_type('attribute','set',array('ClearText-Password','Password','Information','Plugin-Protocol'));
	$this->grocery_crud->field_type('op', 'hidden', ':=');

    	// Omitindo a coluna de EMPRESA, porem, mantendo a integridade na hora de postar alteracoes ou cadastros
    	$this->grocery_crud->field_type('id_empresa', 'hidden', $this->id_empresa());
    	$this->grocery_crud->unset_columns('id_empresa');

        // Enviando e-mail
        $this->grocery_crud->callback_before_insert(array($this,'_envia_email'));


        $output = $this->grocery_crud->render();
        $this->_radius_crud_output($output);
}

// TABELA nas
function nas()
{
 
    $this->grocery_crud->set_theme('twitter-bootstrap');
    $this->grocery_crud->set_table('nas')
        ->set_subject(' NAS')
        ->columns('nasname','shortname','type','secret','description')
        ->display_as('nasname','IP do NAS')
        ->display_as('type','Tipo')
        ->display_as('secret','Senha')
        ->display_as('description','Descrição')
        ->display_as('shortname','Apelido');

    // Relacionamentos de tabelas
    $this->grocery_crud->set_relation('type','radius_type','type');
 
    $this->grocery_crud->fields('nasname','shortname','type','secret','description');
    $output = $this->grocery_crud->render();
    $this->_radius_crud_output($output);

 
}


// TABELA RADGROUPREPLY 
function radgroupreply()
{
 
    $this->grocery_crud->set_theme('twitter-bootstrap');
        // Mostrando apenas dados da empresa que o LOGIN faz parte
    	$this->grocery_crud->where('id_empresa',$this->id_empresa());
    $this->grocery_crud->set_table('radgroupreply')
        ->set_subject('Respostas Radius');

    //print_r($this->RadiusModel->get_all_grupo_select());
    $this->grocery_crud->field_type('groupname','dropdown',$this->RadiusModel->get_all_grupo_select($this->id_empresa()));
    // Omitindo a coluna de EMPRESA, porem, mantendo a integridade na hora de postar alteracoes ou cadastros
    $this->grocery_crud->field_type('id_empresa', 'hidden', $this->id_empresa());
    $this->grocery_crud->unset_columns('id_empresa');

    $output = $this->grocery_crud->render();
    $this->_radius_crud_output($output);

 
}
// TABELA dominios Validos
function dominios()
{
    // Setando tema 
    $this->grocery_crud->set_theme('twitter-bootstrap');
    // Mostrando apenas dados da empresa que o LOGIN faz parte
    $this->grocery_crud->where('id_empresa',$this->id_empresa());

    $this->grocery_crud->set_table('dominios')
        ->set_subject('Dominios');
    // Omitindo a coluna de EMPRESA, porem, mantendo a integridade na hora de postar alteracoes ou cadastros
    $this->grocery_crud->field_type('id_empresa', 'hidden', $this->id_empresa());
    $this->grocery_crud->unset_columns('id_empresa');

    $output = $this->grocery_crud->render();
    $this->_radius_crud_output($output);

 
}
// TABELA dominios Validos
function grupo()
{
 
    $this->grocery_crud->set_theme('twitter-bootstrap');
        // Mostrando apenas dados da empresa que o LOGIN faz parte
    	$this->grocery_crud->where('id_empresa',$this->id_empresa());
    $this->grocery_crud->set_table('grupo')
        ->set_subject('Grupo');
    // Omitindo a coluna de EMPRESA, porem, mantendo a integridade na hora de postar alteracoes ou cadastros
    $this->grocery_crud->field_type('id_empresa', 'hidden', $this->id_empresa());
    $this->grocery_crud->unset_columns('id_empresa');

    $output = $this->grocery_crud->render();
    $this->_radius_crud_output($output);

 
}
public function invalidos()
{

        $data['title'] = "Invalidos"; // Capitalize the first letter

        $this->load->view('templates/header', $data);
        $this->load->view('phptail/log', $data);
        $this->load->view('templates/footer_ajax', $data);

}
//
// PAGINAS ESTATICAS
//
//
// Carrega o indice para este setor
//
public function index()
{
                $this->load->view('pages/bemvindo');
}


public function pagina($page = 'bemvindo')
{

        if ( ! file_exists('mapp_hotspot/views/pages/facebook/'.$page.'.php'))
        {
                // Nao possuimos nenhuma pagina para continuar a requisicao
                show_404();
        }

        $data['title'] = ucfirst($page); // Capitalize the first letter

        $this->load->view('templates/header', $data);
        $this->load->view('pages/facebook/'.$page, $data);
        $this->load->view('templates/footer', $data);

}

//
// Funcao para enviar e-mail
//

function Envia_EMAIL($from='',$from_name='',$to='',$subject='',$data_mail='',$host='',$port='',$user='',$pass='')
{
//$from = "paulo@mkanet.com.br"; $from_name = ""; $to = "paulo@mkanet.com.br"; $host = "smtp.mkanet.com.br"; $user = "paulo@mkanet.com.br"; $pass = "mka4540";
                $data_mail = str_replace("+"," ",$data_mail);

                $config = Array( 'protocol' => 'smtp', 'smtp_host' => $host, 'smtp_port' => 587, 'smtp_user' => $user, 'smtp_pass' => $pass, 'mailtype' => 'html', 'charset' => 'iso-8859-1', 'wordwrap' => TRUE );
                $this->load->library('email', $config);


                $this->email->from($from, $from_name);
                $this->email->to($to);


                $this->email->subject($subject);
                $this->email->message($data_mail);

                $this->email->send();
}


}

