<?php

class Pop3 extends CI_Controller {

public function __construct()
{
        parent::__construct();
        // Imprimir pagina padrao para este controller
        //
        // Pode ser usada para executar determinadas acoes antes de carregar as paginas (imprimir codigo HTML inclusive).

        /* Standard Libraries */
        $this->load->database();
        $this->load->helper('url');
        $this->load->model('RadiusModel');

//
// AUTENTICACAO
//
                $this->load->library('session');
                $this->load->helper('url');
                $this->load->helper('form');
                // IMPORTANT! This global must be defined BEFORE the flexi auth library is loaded!
                // It is used as a global that is accessible via both models and both libraries, without it, flexi auth will not work.
                $this->auth = new stdClass;
                $this->load->library('flexi_auth');
        // Redirect users logged in via password (However, not 'Remember me' users, as they may wish to login properly).
                if (!$this->flexi_auth->is_logged_in_via_password() )
                {
                        // Preserve any flashdata messages so they are passed to the redirect page.
                        if ($this->session->flashdata('message')) { $this->session->keep_flashdata('message'); }
                        // Redirect logged in admins (For security, admin users should always sign in via Password rather than 'Remember me'.
                        if ($this->flexi_auth->is_admin()){ 
			redirect('auth_admin/dashboard'); 
			}
                        else { redirect('auth_public/dashboard'); }
                }
/* ------------------ */    

//
// CRUD
// 
 
        $this->load->library('grocery_CRUD');    
}


//
// CRUD VIEW (output)
//
function _pop3_crud_output($output = null)
{
        // Carregando header.php
        $this->load->view('templates/header', $output);
        // Mostrando a CRUD
        $this->load->view('crud_output.php',$output);
        // Carregando footer.php
        $this->load->view('templates/footer', $output);
}


public function id_empresa()
{
	 return $this->flexi_auth->get_user_by_id()->row_object()->id_empresa;
}


// TABELA dominios Validos
function dominios()
{
    // Setando tema 
    $this->grocery_crud->set_theme('twitter-bootstrap');
    // Mostrando apenas dados da empresa que o LOGIN faz parte
    $this->grocery_crud->where('pop3_dominios.id_empresa',$this->id_empresa());

    $this->grocery_crud->set_table('pop3_dominios')
        ->set_subject('Dominios');
    // Omitindo a coluna de EMPRESA, porem, mantendo a integridade na hora de postar alteracoes ou cadastros
    $this->grocery_crud->set_relation('id_servidor','pop3_servidores','{descricao} - {endereco_ip}',array('id_empresa' => $this->id_empresa()));

    $this->grocery_crud->field_type('id_empresa', 'hidden', $this->id_empresa());
    $this->grocery_crud->unset_columns('id_empresa');

    $this->grocery_crud->unique_fields('dominio');

    $this->grocery_crud->change_field_type('suprime_dominio_no_login', 'true_false');

    // Relacoes

    $output = $this->grocery_crud->render();
    $this->_pop3_crud_output($output);

 
}
// TABELA servidores
function servidores()
{
    // Setando tema
    $this->grocery_crud->set_theme('twitter-bootstrap');
    // Mostrando apenas dados da empresa que o LOGIN faz parte
    $this->grocery_crud->where('id_empresa',$this->id_empresa());

    $this->grocery_crud->set_table('pop3_servidores')
        ->set_subject('Servidores');
    // Omitindo a coluna de EMPRESA, porem, mantendo a integridade na hora de postar alteracoes ou cadastros
    $this->grocery_crud->field_type('id_empresa', 'hidden', $this->id_empresa());
    $this->grocery_crud->unset_columns('id_servidor','id_empresa');
    $this->grocery_crud->unset_fields('id_servidor');

    $output = $this->grocery_crud->render();
    $this->_pop3_crud_output($output);


}

//
//
// Carrega o indice para este setor
//
public function index()
{
                $this->load->view('pages/bemvindo');
}


public function pagina($page = 'bemvindo')
{

        if ( ! file_exists('mapp_hotspot/views/pages/'.$page.'.php'))
        {
                // Nao possuimos nenhuma pagina para continuar a requisicao
                show_404();
        }

        $data['title'] = ucfirst($page); // Capitalize the first letter

        $this->load->view('templates/header', $data);
        $this->load->view('pages/'.$page, $data);
        $this->load->view('templates/footer', $data);

}}

